Subject: [os2genau_digest] No. 2097
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 29 Apr 2013 00:00:14 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Sunday 28 April 2013
 Number  2097
**************************************************

Subjects for today
 
1  Re:  Firefox fun : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Sun, 28 Apr 2013 12:18:57 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Firefox fun

On 27/04/13 23:51, John Angelico wrote:
>  On Sat, 27 Apr 2013 20:31:53 +1000 Peter Moylan wrote:
>
> Hi Peter.
>
>>
>> Here's an update for those of you with an interest in the right-click
>> Firefox crash. (But I'm afraid it adds nothing on how to fix the
>> problem. It's just an excuse for a gripe.) I'm running Firefox 10.0.11.
>
> I'm on 10.0.12, any reason you are still on 11?

Somehow I missed the announcement of 10.0.12. I've now installed it, but
something's gone wrong with the installation. It's probably because I am
running Build_MZFNTCFGFT_RUNTIME.cmd from the wrong directory, or
something like that. I've copied the DLLs from that that cmd file
produced into my firefox10.0.12 directory, but apparently that's not
enough. After a bit of a disk search I've discovered a WPI file called
D:\mozilla dot org\MZFNTCFGFT_RUNTIME\History\MZFNTCFGFT_RUNTIME-10-0-12.wpi, but
I don't know whether that has already executed. I'll figure it out
eventually.

>
>> While reading my e-mail I clicked on an "unsubscribe" link. (From
>> myheritage dot com. They have a habit of signing you up to other people's
>> family trees.) Being a multitasking sort of person, I then went off to
>> do other things while Firefox was starting up.
>
>> When I right-clicked on a desktop folder, I got the familiar "expanding
>> menus" symptom, and then the whole WPS crashed. I had to reboot.
>
>
> I don't get even that far. If FF isn't running, my PMMail "explore
> URL" option goes into nothingness.
>
> I have to make sure FF is up and running. THEN a link to a URL works
> fine.

I have a similar problem with Thunderbird. The "Internet Application
Integration Tool" is supposed to fix this, but somehow it never does.
The http: links from Thunderbird work,but the ftp: ones don't.

>
>> I've always been annoyed by an OS/2 "feature" that even Microsoft
>> finally got right. When a new program is starting, it grabs control of
>> the keyboard and mouse long before it opens any window on the screen.
>> Most of the time this just means that you lose a line or two of what you
>> were typing. Sometimes, as in the present case, it has a fatal result.
>> Of course, it's far too late to ask IBM to fix this problem.
>
> But isn't there still some WPS work going on?

Yes, but programs should be opening up their main window _behind_
whatever is already running. Instead, almost all programs seize the
focus immediately, and at normal typing speed I can type quite a lot
before I realise that what I've been typing hasn't gone into the window
I thought I was typing into.

>
>> As for Firefox, I guess I'd better go back to version 4. From what I
>> hear, there just isn't enough manpower available to track down this
>> major bug.
>
> That sounds like a drastic back-levelling...

I've tested all the releases in between, and version 4 is the last
version that doesn't have the "expanding menus" problem.

-- Peter Moylan peter at pmoylan dot org http://www.pmoylan dot org
--------------------------------------------------
 
===